
# HG changeset patch
# User Andreas Farre <farre@mozilla.com>
# Date 1733143029 0
# Node ID cb63007c6dd5f48f437e0f636e0a69617a3a590c
# Parent  a7391db30046582a1f3e587793542c8378e4fe0b
Bug 1932163 - Switch to use ssl module. r=glandium

Differential Revision: https://phabricator.services.mozilla.com/D229505

diff --git a/python/mozboot/mozboot/bootstrap.py b/python/mozboot/mozboot/bootstrap.py
--- a/python/mozboot/mozboot/bootstrap.py
+++ b/python/mozboot/mozboot/bootstrap.py
@@ -834,30 +834,30 @@ def update_git_tools(git: Optional[Path]
         try:
             subprocess.check_call([str(cinnabar_exe), "self-update"])
         except subprocess.CalledProcessError as e:
             print(e)
 
     # git-cinnabar 0.6.0rc1 self-update had a bug that could leave an empty
     # file. If that happens, install from scratch.
     if not exists or cinnabar_exe.stat().st_size == 0:
+        import ssl
         from urllib.request import urlopen
 
         import certifi
 
         if not cinnabar_dir.exists():
             cinnabar_dir.mkdir()
 
         cinnabar_url = "https://github.com/glandium/git-cinnabar/"
         download_py = cinnabar_dir / "download.py"
         with open(download_py, "wb") as fh:
+            context = ssl.create_default_context(cafile=certifi.where())
             shutil.copyfileobj(
-                urlopen(
-                    f"{cinnabar_url}/raw/master/download.py", cafile=certifi.where()
-                ),
+                urlopen(f"{cinnabar_url}/raw/master/download.py", context=context),
                 fh,
             )
 
         try:
             subprocess.check_call(
                 [sys.executable, str(download_py)], cwd=str(cinnabar_dir)
             )
         except subprocess.CalledProcessError as e:

